CWGraphInternal::Zone Struct Reference

Internal: the generic structure used to store a zone of a CWGraph. More...

Inheritance diagram for CWGraphInternal::Zone:

## Public Types

enum | Type { T_Zone, T_Basic, T_Picture, T_Chart, T_DataBox, T_Unknown, T_Line, T_Rect, T_RectOval, T_Oval, T_Arc, T_Poly, T_Pict, T_QTim, T_Movie, T_Bitmap }
| the list of types More...

## Public Member Functions

| Zone ()
| constructor More...
virtual | ~Zone ()
| destructor More...
virtual Type | getType () const
| return the main type More...
virtual Type | getSubType () const
| return the subtype More...
virtual int | getNumData () const
| return the number of data to define this zone in the file More...
virtual void | print (std::ostream &) const
| print the data contains More...
virtual CWStruct::DSET::Child | getChild () const
| return a child corresponding to this zone More...

## Public Attributes

int | m_page
| the page (checkme: or frame linked ) More...
Box2i | m_box
| the bdbox More...
Style | m_style
| the style More...

## Friends

std::ostream & | operator<< (std::ostream &o, Zone const &zone)
| operator<< More...

## Detailed Description

Internal: the generic structure used to store a zone of a CWGraph.

## Member Enumeration Documentation

enum CWGraphInternal::Zone::Type

the list of types

Enumerator
T_Zone |
T_Basic |
T_Picture |
T_Chart |
T_DataBox |
T_Unknown |
T_Line |
T_Rect |
T_RectOval |
T_Oval |
T_Arc |
T_Poly |
T_Pict |
T_QTim |
T_Movie |
T_Bitmap |

## Constructor & Destructor Documentation

CWGraphInternal::Zone::Zone | ( |  | ) |

inline

constructor

virtual CWGraphInternal::Zone::~Zone | ( |  | ) |

inline virtual

destructor

## Member Function Documentation

virtual CWStruct::DSET::Child CWGraphInternal::Zone::getChild | ( |  | ) | const

inline virtual

return a child corresponding to this zone

Reimplemented in CWGraphInternal::ZoneUnknown, CWGraphInternal::ZoneZone, CWGraphInternal::ZoneBitmap, CWGraphInternal::ZonePict, and CWGraphInternal::ZoneBasic.

virtual int CWGraphInternal::Zone::getNumData | ( |  | ) | const

inline virtual

return the number of data to define this zone in the file

Reimplemented in CWGraphInternal::ZoneUnknown, CWGraphInternal::ZonePict, and CWGraphInternal::ZoneBasic.

virtual Type CWGraphInternal::Zone::getSubType | ( |  | ) | const

inline virtual

return the subtype

Reimplemented in CWGraphInternal::ZoneUnknown, CWGraphInternal::ZoneZone, CWGraphInternal::ZoneBitmap, CWGraphInternal::ZonePict, and CWGraphInternal::ZoneBasic.

virtual Type CWGraphInternal::Zone::getType | ( |  | ) | const

inline virtual

return the main type

Reimplemented in CWGraphInternal::ZoneUnknown, CWGraphInternal::ZoneZone, CWGraphInternal::ZoneBitmap, CWGraphInternal::ZonePict, and CWGraphInternal::ZoneBasic.

Referenced by CWGraph::sendZone(), and CWGraph::updateInformation().

virtual void CWGraphInternal::Zone::print | ( | std::ostream & |  | ) | const

inline virtual

print the data contains

Reimplemented in CWGraphInternal::ZoneUnknown, CWGraphInternal::ZoneZone, CWGraphInternal::ZoneBitmap, CWGraphInternal::ZonePict, and CWGraphInternal::ZoneBasic.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Zone const & | zone
| ) |  |

friend

operator<<

## Member Data Documentation

Box2i CWGraphInternal::Zone::m_box

the bdbox

Referenced by getChild(), CWGraphInternal::ZoneBasic::getChild(), CWGraphInternal::ZonePict::getChild(), CWGraphInternal::ZoneBitmap::getChild(), CWGraphInternal::ZoneZone::getChild(), CWGraphInternal::ZoneUnknown::getChild(), CWGraph::readGroupDef(), CWGraph::sendBasicPicture(), CWGraph::sendBitmap(), CWGraph::sendPicture(), CWGraph::sendZone(), and CWGraph::updateInformation().

int CWGraphInternal::Zone::m_page

the page (checkme: or frame linked )

Referenced by CWGraph::numPages(), CWGraph::sendZone(), and CWGraph::updateInformation().

Style CWGraphInternal::Zone::m_style

the style

Referenced by CWGraph::readGroupDef(), CWGraph::sendBasicPicture(), and CWGraph::sendZone().

The documentation for this struct was generated from the following file:

- CWGraph.cxx